=== debian/control ===
Source: supl
Section: utils
Priority: optional
Maintainer: Tatu Mannisto <tatu -at- tajuma -dot- com>
Build-Depends: debhelper (>= 4.0.0), libssl-dev
Standards-Version: 3.6.0

Package: supl
Architecture: any
Priority: optional
Section: utils
Depends: libsupl, ${shlibs:Depends}
Suggests: 
Description: AGPS SUPL (Secure User Plane) client
 Provided the client side (non-network initiated case)
 for OMA SUPL/RRLP user applications, supl-client and
 supl-proxy.

Package: libsupl
Architecture: any
Priority: optional
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: 
Description: AGPS SUPL (Secure User Plane) library
 Provides the client side (non-network initiated case)
 SUPL library.

Package: libsupl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: 
Description: AGPS SUPL (Secure User Plane) library
 Provides the development files for SUPL protocol.

Package: libsupl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsupl (= ${binary:Version})
Description: Debug symbols for the SUPL library
 This package provides the debugging info for SUPL
 libraries and user utilities.
